png++ 0.2.10

Classes | Namespaces | Typedefs
index_pixel.hpp File Reference

Go to the source code of this file.

## Classes
class | png::index_pixel
| The 8-bit Indexed (colormap) pixel type. More...
class | png::packed_index_pixel< bits >
| The packed indexed pixel class template. The available specializations are for 1-, 2- and 4-bit pixels. More...
struct | png::pixel_traits< index_pixel >
| Pixel traits specialization for index_pixel. More...
struct | png::pixel_traits< packed_index_pixel< bits > >
| Pixel traits specialization for packed_index_pixel. More...

## Namespaces
namespace | png

## Typedefs
typedef packed_index_pixel< 1 > | png::index_pixel_1
| The 1-bit Indexed pixel type.
typedef packed_index_pixel< 2 > | png::index_pixel_2
| The 1-bit Indexed pixel type.
typedef packed_index_pixel< 4 > | png::index_pixel_4
| The 1-bit Indexed pixel type.